Carillon docs
Messages

Read a campaign and its delivery trace

GET
/v1/messages/{id}
AuthorizationBearer <token>

An API key, sent as Authorization: Bearer carillon_sk_live_…. A secret key sends, reads traces and manages devices; a mobile key may only register its own device and report that device’s events.

In: header

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/messages/string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "scheduled",  "mode": "live",  "created_at": "2019-08-24T14:15:22Z",  "schedule_type": "immediate",  "send_at": "2019-08-24T14:15:22Z",  "local_time": "string",  "timezone_fallback": "string",  "canceled_at": "2019-08-24T14:15:22Z",  "waves": {    "count": 0,    "next_fire_at": "2019-08-24T14:15:22Z"  },  "delivery_rate": 0,  "remaining": 0,  "paused_reason": "string",  "outcomes": {    "opened": 0,    "sent": 0,    "failed": 0,    "pending": 0,    "total": 0  },  "platforms": {    "ios": {      "opened": 0,      "sent": 0,      "failed": 0,      "pending": 0,      "total": 0    },    "android": {      "opened": 0,      "sent": 0,      "failed": 0,      "pending": 0,      "total": 0    }  },  "deliveries": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "device_id": "3bafab7b-4400-4bcf-8e6e-09f954699940",      "status": "queued",      "error_code": "string",      "opened_at": "2019-08-24T14:15:22Z"    }  ]}